qpid::console::ObjectId Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::console::ObjectId Class Reference

`#include <qpid/console/ObjectId.h>`

List of all members.

## Public Member Functions
| ObjectId ()
| ObjectId (framing::Buffer &buffer)
uint8_t | getFlags () const
uint16_t | getSequence () const
uint32_t | getBrokerBank () const
uint32_t | getAgentBank () const
uint64_t | getObject () const
bool | isDurable () const
void | decode (framing::Buffer &buffer)
void | encode (framing::Buffer &buffer)
void | setValue (uint64_t f, uint64_t s)
bool | operator== (const ObjectId &other) const
bool | operator!= (const ObjectId &other) const
bool | operator< (const ObjectId &other) const
bool | operator> (const ObjectId &other) const
bool | operator<= (const ObjectId &other) const
bool | operator>= (const ObjectId &other) const

## Constructor & Destructor Documentation

qpid::console::ObjectId::ObjectId | ( |  | ) | `[inline]`

Definition at line 40 of file ObjectId.h.

qpid::console::ObjectId::ObjectId | ( | framing::Buffer & | buffer | ) |

## Member Function Documentation

void qpid::console::ObjectId::decode | ( | framing::Buffer & | buffer | ) |

void qpid::console::ObjectId::encode | ( | framing::Buffer & | buffer | ) |

uint32_t qpid::console::ObjectId::getAgentBank | ( |  | ) | const`[inline]`

Definition at line 46 of file ObjectId.h.

uint32_t qpid::console::ObjectId::getBrokerBank | ( |  | ) | const`[inline]`

Definition at line 45 of file ObjectId.h.

uint8_t qpid::console::ObjectId::getFlags | ( |  | ) | const`[inline]`

Definition at line 43 of file ObjectId.h.

uint64_t qpid::console::ObjectId::getObject | ( |  | ) | const`[inline]`

Definition at line 47 of file ObjectId.h.

uint16_t qpid::console::ObjectId::getSequence | ( |  | ) | const`[inline]`

Definition at line 44 of file ObjectId.h.

bool qpid::console::ObjectId::isDurable | ( |  | ) | const`[inline]`

Definition at line 48 of file ObjectId.h.

bool qpid::console::ObjectId::operator!= | ( | const ObjectId & | other | ) | const

bool qpid::console::ObjectId::operator< | ( | const ObjectId & | other | ) | const

bool qpid::console::ObjectId::operator<= | ( | const ObjectId & | other | ) | const

bool qpid::console::ObjectId::operator== | ( | const ObjectId & | other | ) | const

bool qpid::console::ObjectId::operator> | ( | const ObjectId & | other | ) | const

bool qpid::console::ObjectId::operator>= | ( | const ObjectId & | other | ) | const

void qpid::console::ObjectId::setValue | ( | uint64_t | f,
|  | uint64_t | s
| ) |  | `[inline]`

Definition at line 51 of file ObjectId.h.

The documentation for this class was generated from the following file:

- qpid/console/ObjectId.h